<!DOCTYPE html><html lang="zh-CN" data-theme="light"><head><meta charset="UTF-8"><meta http-equiv="X-UA-Compatible" content="IE=edge"><meta name="viewport" content="width=device-width,initial-scale=1"><title>Ceph集群扩容 | SeMaik</title><meta name="author" content="ZuSir"><meta name="copyright" content="ZuSir"><meta name="format-detection" content="telephone=no"><meta name="theme-color" content="#ffffff"><meta name="description" content="旧ceph集群   IP hostname 角色    10.99.2.155 pool1 ceph-deploy,mon,mgr,osd   10.99.2.156 pool2 mon,mgr,osd   10.99.2.157 pool3 mon,mgr,osd   新ceph节点做好yum源，放行防火墙，selinux，ntp    IP hostname 角色    10.99.2.158">
<meta property="og:type" content="article">
<meta property="og:title" content="Ceph集群扩容">
<meta property="og:url" content="http://example.com/2022/02/17/Ceph%E9%9B%86%E7%BE%A4%E6%89%A9%E5%AE%B9/index.html">
<meta property="og:site_name" content="SeMaik">
<meta property="og:description" content="旧ceph集群   IP hostname 角色    10.99.2.155 pool1 ceph-deploy,mon,mgr,osd   10.99.2.156 pool2 mon,mgr,osd   10.99.2.157 pool3 mon,mgr,osd   新ceph节点做好yum源，放行防火墙，selinux，ntp    IP hostname 角色    10.99.2.158">
<meta property="og:locale" content="zh_CN">
<meta property="og:image" content="https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/img/default.jpg">
<meta property="article:published_time" content="2022-02-17T01:53:00.000Z">
<meta property="article:modified_time" content="2022-02-17T01:54:16.954Z">
<meta property="article:author" content="ZuSir">
<meta name="twitter:card" content="summary">
<meta name="twitter:image" content="https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/img/default.jpg"><link rel="shortcut icon" href="https://myit.icu/favicon.ico"><link rel="canonical" href="http://example.com/2022/02/17/Ceph%E9%9B%86%E7%BE%A4%E6%89%A9%E5%AE%B9/"><link rel="preconnect" href="//cdn.jsdelivr.net"/><link rel="preconnect" href="//busuanzi.ibruce.info"/><link rel="stylesheet" href="/css/index.css"><link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/@fortawesome/fontawesome-free/css/all.min.css" media="print" onload="this.media='all'"><script>const GLOBAL_CONFIG = { 
  root: '/',
  algolia: undefined,
  localSearch: undefined,
  translate: undefined,
  noticeOutdate: undefined,
  highlight: {"plugin":"highlighjs","highlightCopy":true,"highlightLang":true},
  copy: {
    success: '复制成功',
    error: '复制错误',
    noSupport: '浏览器不支持'
  },
  relativeDate: {
    homepage: true,
    post: false
  },
  runtime: '',
  date_suffix: {
    just: '刚刚',
    min: '分钟前',
    hour: '小时前',
    day: '天前',
    month: '个月前'
  },
  copyright: undefined,
  lightbox: 'fancybox',
  Snackbar: undefined,
  source: {
    jQuery: 'https://cdn.jsdelivr.net/npm/jquery@latest/dist/jquery.min.js',
    justifiedGallery: {
      js: 'https://cdn.jsdelivr.net/npm/justifiedGallery/dist/js/jquery.justifiedGallery.min.js',
      css: 'https://cdn.jsdelivr.net/npm/justifiedGallery/dist/css/justifiedGallery.min.css'
    },
    fancybox: {
      js: 'https://cdn.jsdelivr.net/npm/@fancyapps/fancybox@latest/dist/jquery.fancybox.min.js',
      css: 'https://cdn.jsdelivr.net/npm/@fancyapps/fancybox@latest/dist/jquery.fancybox.min.css'
    }
  },
  isPhotoFigcaption: false,
  islazyload: false,
  isanchor: false
}</script><script id="config-diff">var GLOBAL_CONFIG_SITE = { 
  isPost: true,
  isHome: false,
  isHighlightShrink: undefined,
  isToc: true,
  postUpdate: '2022-02-17 09:54:16'
}</script><noscript><style type="text/css">
  #nav {
    opacity: 1
  }
  .justified-gallery img {
    opacity: 1
  }

  #recent-posts time,
  #post-meta time {
    display: inline !important
  }
</style></noscript><script>(win=>{
    win.saveToLocal = {
      set: function setWithExpiry(key, value, ttl) {
        if (ttl === 0) return
        const now = new Date()
        const expiryDay = ttl * 86400000
        const item = {
          value: value,
          expiry: now.getTime() + expiryDay,
        }
        localStorage.setItem(key, JSON.stringify(item))
      },

      get: function getWithExpiry(key) {
        const itemStr = localStorage.getItem(key)

        if (!itemStr) {
          return undefined
        }
        const item = JSON.parse(itemStr)
        const now = new Date()

        if (now.getTime() > item.expiry) {
          localStorage.removeItem(key)
          return undefined
        }
        return item.value
      }
    }
  
    win.getScript = url => new Promise((resolve, reject) => {
      const script = document.createElement('script')
      script.src = url
      script.async = true
      script.onerror = reject
      script.onload = script.onreadystatechange = function() {
        const loadState = this.readyState
        if (loadState && loadState !== 'loaded' && loadState !== 'complete') return
        script.onload = script.onreadystatechange = null
        resolve()
      }
      document.head.appendChild(script)
    })
  
      const asideStatus = saveToLocal.get('aside-status')
      if (asideStatus !== undefined) {
        if (asideStatus === 'hide') {
          document.documentElement.classList.add('hide-aside')
        } else {
          document.documentElement.classList.remove('hide-aside')
        }
      }
    })(window)</script><link href="/css/style.css"><meta name="generator" content="Hexo 5.3.0"><link rel="alternate" href="/atom.xml" title="SeMaik" type="application/atom+xml">
</head><body><div id="web_bg"></div><div id="sidebar"><div id="menu-mask"></div><div id="sidebar-menus"><div class="author-avatar"><img class="avatar-img" src="/img/123.jpeg" onerror="onerror=null;src='/img/123.jpeg'" alt="avatar"/></div><div class="site-data"><div class="data-item is-center"><div class="data-item-link"><a href="/archives/"><div class="headline">文章</div><div class="length-num">152</div></a></div></div><div class="data-item is-center"><div class="data-item-link"><a href="/categories/"><div class="headline">分类</div><div class="length-num">37</div></a></div></div></div><hr/><div class="menus_items"><div class="menus_item"><a class="site-page" href="/"><i class="fa-fw fas fa-home"></i><span> 首页</span></a></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> Linux</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Linux/"><span> Linux</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> WEB</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Apache/"><span> Apache</span></a></li><li><a class="site-page" href="/categories/Nginx/"><span> Nginx</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 存储</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Ceph/"><span> Ceph</span></a></li><li><a class="site-page" href="/categories/NFS/"><span> NFS</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 日志</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Loki"><span> Loki</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 编程</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Shell"><span> Shell</span></a></li><li><a class="site-page" href="/categories/Python"><span> Python</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 高可用</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/KeepAlived/"><span> KeepAlived</span></a></li><li><a class="site-page" href="/categories/LVS/"><span> LVS</span></a></li><li><a class="site-page" href="/categories/Squid/"><span> Squid</span></a></li><li><a class="site-page" href="/categories/Haproxy/"><span> Haproxy</span></a></li><li><a class="site-page" href="/categories/Rsync/"><span> Rsync</span></a></li><li><a class="site-page" href="/categories/Memcache/"><span> Memcache</span></a></li><li><a class="site-page" href="/categories/Varnish/"><span> Varnish</span></a></li><li><a class="site-page" href="/categories/GRedis/"><span> Redis</span></a></li><li><a class="site-page" href="/categories/Rabbit/"><span> RabbitMQ</span></a></li><li><a class="site-page" href="/categories/Kafka/"><span> Kafka</span></a></li><li><a class="site-page" href="/categories/MHA/"><span> MHA</span></a></li><li><a class="site-page" href="/categories/PXC/"><span> PXC</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 虚拟化</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Docker/"><span> Docker</span></a></li><li><a class="site-page" href="/categories/Kubernetes/"><span> Kubernetes</span></a></li><li><a class="site-page" href="/categories/OpenStack/"><span> OpenStack</span></a></li><li><a class="site-page" href="/categories/KVM/"><span> KVM</span></a></li><li><a class="site-page" href="/categories/Containerd"><span> Containerd</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> Hexo</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Hexo/"><span> Hexo</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 数据库</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/MySQL/"><span> MySQL</span></a></li><li><a class="site-page" href="/categories/Readis/"><span> Readis</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 微服务</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Tomcat/"><span> Tomcat</span></a></li><li><a class="site-page" href="/categories/Git/"><span> Git</span></a></li><li><a class="site-page" href="/categories/Maven/"><span> Maven</span></a></li><li><a class="site-page" href="/categories/Nexus/"><span> Nexus</span></a></li><li><a class="site-page" href="/categories/Jenkins/"><span> Jenkins</span></a></li><li><a class="site-page" href="/categories/Spring/"><span> Spring</span></a></li><li><a class="site-page" href="/categories/Consul/"><span> Consul</span></a></li><li><a class="site-page" href="/categories/Harbor/"><span> Harbor</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 自动化</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Ansible/"><span> Ansible</span></a></li><li><a class="site-page" href="/categories/Pssh/"><span> Pssh</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="/link/"><i class="fa-fw fas fa-link"></i><span> 友链</span></a></div><div class="menus_item"><a class="site-page" href="/about/"><i class="fa-fw fas fa-heart"></i><span> 关于</span></a></div></div></div></div><div class="post" id="body-wrap"><header class="post-bg" id="page-header" style="background-image: url('https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/img/default.jpg')"><nav id="nav"><span id="blog_name"><a id="site-name" href="/">SeMaik</a></span><div id="menus"><div class="menus_items"><div class="menus_item"><a class="site-page" href="/"><i class="fa-fw fas fa-home"></i><span> 首页</span></a></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> Linux</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Linux/"><span> Linux</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> WEB</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Apache/"><span> Apache</span></a></li><li><a class="site-page" href="/categories/Nginx/"><span> Nginx</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 存储</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Ceph/"><span> Ceph</span></a></li><li><a class="site-page" href="/categories/NFS/"><span> NFS</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 日志</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Loki"><span> Loki</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 编程</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Shell"><span> Shell</span></a></li><li><a class="site-page" href="/categories/Python"><span> Python</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 高可用</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/KeepAlived/"><span> KeepAlived</span></a></li><li><a class="site-page" href="/categories/LVS/"><span> LVS</span></a></li><li><a class="site-page" href="/categories/Squid/"><span> Squid</span></a></li><li><a class="site-page" href="/categories/Haproxy/"><span> Haproxy</span></a></li><li><a class="site-page" href="/categories/Rsync/"><span> Rsync</span></a></li><li><a class="site-page" href="/categories/Memcache/"><span> Memcache</span></a></li><li><a class="site-page" href="/categories/Varnish/"><span> Varnish</span></a></li><li><a class="site-page" href="/categories/GRedis/"><span> Redis</span></a></li><li><a class="site-page" href="/categories/Rabbit/"><span> RabbitMQ</span></a></li><li><a class="site-page" href="/categories/Kafka/"><span> Kafka</span></a></li><li><a class="site-page" href="/categories/MHA/"><span> MHA</span></a></li><li><a class="site-page" href="/categories/PXC/"><span> PXC</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 虚拟化</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Docker/"><span> Docker</span></a></li><li><a class="site-page" href="/categories/Kubernetes/"><span> Kubernetes</span></a></li><li><a class="site-page" href="/categories/OpenStack/"><span> OpenStack</span></a></li><li><a class="site-page" href="/categories/KVM/"><span> KVM</span></a></li><li><a class="site-page" href="/categories/Containerd"><span> Containerd</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> Hexo</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Hexo/"><span> Hexo</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 数据库</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/MySQL/"><span> MySQL</span></a></li><li><a class="site-page" href="/categories/Readis/"><span> Readis</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 微服务</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Tomcat/"><span> Tomcat</span></a></li><li><a class="site-page" href="/categories/Git/"><span> Git</span></a></li><li><a class="site-page" href="/categories/Maven/"><span> Maven</span></a></li><li><a class="site-page" href="/categories/Nexus/"><span> Nexus</span></a></li><li><a class="site-page" href="/categories/Jenkins/"><span> Jenkins</span></a></li><li><a class="site-page" href="/categories/Spring/"><span> Spring</span></a></li><li><a class="site-page" href="/categories/Consul/"><span> Consul</span></a></li><li><a class="site-page" href="/categories/Harbor/"><span> Harbor</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 自动化</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Ansible/"><span> Ansible</span></a></li><li><a class="site-page" href="/categories/Pssh/"><span> Pssh</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="/link/"><i class="fa-fw fas fa-link"></i><span> 友链</span></a></div><div class="menus_item"><a class="site-page" href="/about/"><i class="fa-fw fas fa-heart"></i><span> 关于</span></a></div></div><div id="toggle-menu"><a class="site-page"><i class="fas fa-bars fa-fw"></i></a></div></div></nav><div id="post-info"><h1 class="post-title">Ceph集群扩容</h1><div id="post-meta"><div class="meta-firstline"><span class="post-meta-date"><i class="far fa-calendar-alt fa-fw post-meta-icon"></i><span class="post-meta-label">发表于</span><time class="post-meta-date-created" datetime="2022-02-17T01:53:00.000Z" title="发表于 2022-02-17 09:53:00">2022-02-17</time><span class="post-meta-separator">|</span><i class="fas fa-history fa-fw post-meta-icon"></i><span class="post-meta-label">更新于</span><time class="post-meta-date-updated" datetime="2022-02-17T01:54:16.954Z" title="更新于 2022-02-17 09:54:16">2022-02-17</time></span><span class="post-meta-categories"><span class="post-meta-separator">|</span><i class="fas fa-inbox fa-fw post-meta-icon"></i><a class="post-meta-categories" href="/categories/Ceph/">Ceph</a></span></div><div class="meta-secondline"><span class="post-meta-separator">|</span><span class="post-meta-pv-cv"><i class="far fa-eye fa-fw post-meta-icon"></i><span class="post-meta-label">阅读量:</span><span id="busuanzi_value_page_pv"></span></span></div></div></div></header><main class="layout" id="content-inner"><div id="post"><article class="post-content" id="article-container"><h2 id="旧ceph集群"><a href="#旧ceph集群" class="headerlink" title="旧ceph集群"></a>旧ceph集群</h2><table>
<thead>
<tr>
<th>IP</th>
<th>hostname</th>
<th>角色</th>
</tr>
</thead>
<tbody><tr>
<td>10.99.2.155</td>
<td>pool1</td>
<td>ceph-deploy,mon,mgr,osd</td>
</tr>
<tr>
<td>10.99.2.156</td>
<td>pool2</td>
<td>mon,mgr,osd</td>
</tr>
<tr>
<td>10.99.2.157</td>
<td>pool3</td>
<td>mon,mgr,osd</td>
</tr>
</tbody></table>
<h2 id="新ceph节点"><a href="#新ceph节点" class="headerlink" title="新ceph节点"></a>新ceph节点</h2><p>做好yum源，放行防火墙，selinux，ntp</p>
<table>
<thead>
<tr>
<th>IP</th>
<th>hostname</th>
<th>角色</th>
</tr>
</thead>
<tbody><tr>
<td>10.99.2.158</td>
<td>pool4</td>
<td>安装ceph，不需要安装ceph-deploy</td>
</tr>
<tr>
<td>10.99.2.159</td>
<td>pool5</td>
<td>安装ceph</td>
</tr>
<tr>
<td>10.99.2.160</td>
<td>pool6</td>
<td>安装ceph</td>
</tr>
</tbody></table>
<blockquote>
<p>需求：需要将新集群中的ceph osd加入旧集群中，集群合二为一并且保证集群中数据同步且一致；</p>
</blockquote>
<h2 id="源ceph环境"><a href="#源ceph环境" class="headerlink" title="源ceph环境"></a>源ceph环境</h2><figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br><span class="line">6</span><br><span class="line">7</span><br><span class="line">8</span><br><span class="line">9</span><br><span class="line">10</span><br><span class="line">11</span><br><span class="line">12</span><br><span class="line">13</span><br><span class="line">14</span><br><span class="line">15</span><br></pre></td><td class="code"><pre><span class="line"> [root@pool1 ceph]<span class="comment"># ceph -s</span></span><br><span class="line">  services:</span><br><span class="line">    mon: 3 daemons, quorum pool1,pool2,pool3</span><br><span class="line">    mgr: pool1(active), standbys: pool2, pool3</span><br><span class="line">    osd: 3 osds: 3 up, 3 <span class="keyword">in</span>; 79 remapped pgs</span><br><span class="line">    </span><br><span class="line">[root@pool1 ceph]<span class="comment"># ceph osd tree</span></span><br><span class="line">ID  CLASS WEIGHT  TYPE NAME      STATUS REWEIGHT PRI-AFF </span><br><span class="line"> -1       0.11151 root default                           </span><br><span class="line"> -3       0.01859     host pool1                         </span><br><span class="line">  0   hdd 0.01859         osd.0      up  1.00000 1.00000 </span><br><span class="line"> -5       0.01859     host pool2                         </span><br><span class="line">  1   hdd 0.01859         osd.1      up  1.00000 1.00000 </span><br><span class="line"> -7       0.01859     host pool3                         </span><br><span class="line">  2   hdd 0.01859         osd.2      up  1.00000 1.00000 </span><br></pre></td></tr></table></figure>
<h2 id="新节点的机器做免密登录"><a href="#新节点的机器做免密登录" class="headerlink" title="新节点的机器做免密登录"></a>新节点的机器做免密登录</h2><p>pool1执行</p>
<figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br></pre></td><td class="code"><pre><span class="line">[root@pool1 ceph]<span class="comment"># ssh-copy-id pool4</span></span><br><span class="line">[root@pool1 ceph]<span class="comment"># ssh-copy-id pool5</span></span><br><span class="line">[root@pool1 ceph]<span class="comment"># ssh-copy-id pool6</span></span><br></pre></td></tr></table></figure>
<h2 id="新节点安装ceph"><a href="#新节点安装ceph" class="headerlink" title="新节点安装ceph"></a>新节点安装ceph</h2><p>pool1执行</p>
<figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br></pre></td><td class="code"><pre><span class="line">[root@pool1 ceph]<span class="comment"># ceph-deploy install --no-adjust-repos pool4 pool5 pool6</span></span><br></pre></td></tr></table></figure>
<h2 id="新节点执行"><a href="#新节点执行" class="headerlink" title="新节点执行"></a>新节点执行</h2><figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br></pre></td><td class="code"><pre><span class="line">[root@pool4 ~]<span class="comment"># parted  /dev/sdb mklabel gpt -s</span></span><br></pre></td></tr></table></figure>
<h2 id="将新节点的osd加入到集群中"><a href="#将新节点的osd加入到集群中" class="headerlink" title="将新节点的osd加入到集群中"></a>将新节点的osd加入到集群中</h2><p>pool1执行</p>
<figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br><span class="line">6</span><br></pre></td><td class="code"><pre><span class="line">[root@pool1 ceph]<span class="comment"># ceph-deploy disk zap pool4 /dev/sdb</span></span><br><span class="line">[root@pool1 ceph]<span class="comment"># ceph-deploy disk zap pool5 /dev/sdb</span></span><br><span class="line">[root@pool1 ceph]<span class="comment"># ceph-deploy disk zap pool6 /dev/sdb</span></span><br><span class="line">[root@pool1 ceph]<span class="comment"># ceph-deploy osd create pool4 --data /dev/sdb</span></span><br><span class="line">[root@pool1 ceph]<span class="comment"># ceph-deploy osd create pool5 --data /dev/sdb</span></span><br><span class="line">[root@pool1 ceph]<span class="comment"># ceph-deploy osd create pool6 --data /dev/sdb</span></span><br></pre></td></tr></table></figure>
<h2 id="修改ceph配置文件"><a href="#修改ceph配置文件" class="headerlink" title="修改ceph配置文件"></a>修改ceph配置文件</h2><p>pool1执行</p>
<p><strong>&gt; 如需添加控制节点需要修改配置文件，不需要添加则不需要修改</strong></p>
<figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br><span class="line">6</span><br><span class="line">7</span><br><span class="line">8</span><br><span class="line">9</span><br><span class="line">10</span><br><span class="line">11</span><br><span class="line">12</span><br><span class="line">13</span><br></pre></td><td class="code"><pre><span class="line"><span class="comment"># 添加新集群的hostname及IP</span></span><br><span class="line"><span class="built_in">echo</span> <span class="string">&quot;public network=10.99.2.0/24&quot;</span> &gt;&gt; ceph.conf</span><br><span class="line">[root@pool1 ceph]<span class="comment"># cat ceph.conf </span></span><br><span class="line">[global]</span><br><span class="line">fsid = d35002f6-34f0-4097-b6db-2dc40e66764e</span><br><span class="line">mon_initial_members = pool1, pool2, pool3, pool4, pool5, pool6</span><br><span class="line">mon_host = 10.99.2.155,10.99.2.156,10.99.2.157,10.99.2.158,10.99.2.159,10.99.2.160</span><br><span class="line">auth_cluster_required = cephx</span><br><span class="line">auth_service_required = cephx</span><br><span class="line">auth_client_required = cephx</span><br><span class="line">public network=10.99.2.0/24</span><br><span class="line">[mon]</span><br><span class="line">mon allow pool delete = <span class="literal">true</span></span><br></pre></td></tr></table></figure>
<h2 id="下发文件"><a href="#下发文件" class="headerlink" title="下发文件"></a>下发文件</h2><p>pool1执行</p>
<p>旧节点新节点，都需要同步配置文件</p>
<figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br></pre></td><td class="code"><pre><span class="line">[root@pool1 ceph]<span class="comment"># ceph-deploy --overwrite-conf admin pool1 pool2 pool3 pool4 pool5 pool6</span></span><br></pre></td></tr></table></figure>
<h2 id="加入到集群监控"><a href="#加入到集群监控" class="headerlink" title="加入到集群监控"></a>加入到集群监控</h2><p>pool1执行</p>
<figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br></pre></td><td class="code"><pre><span class="line">[root@pool1 ceph]<span class="comment"># ceph-deploy mon create pool4 pool5 pool6</span></span><br><span class="line">[root@pool1 ceph]<span class="comment"># ceph-deploy mgr create pool4 pool5 pool6</span></span><br></pre></td></tr></table></figure>
<h2 id="新节点成功加入集群后"><a href="#新节点成功加入集群后" class="headerlink" title="新节点成功加入集群后"></a>新节点成功加入集群后</h2><figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br><span class="line">6</span><br><span class="line">7</span><br><span class="line">8</span><br><span class="line">9</span><br><span class="line">10</span><br><span class="line">11</span><br><span class="line">12</span><br><span class="line">13</span><br><span class="line">14</span><br><span class="line">15</span><br><span class="line">16</span><br><span class="line">17</span><br><span class="line">18</span><br><span class="line">19</span><br><span class="line">20</span><br><span class="line">21</span><br><span class="line">22</span><br><span class="line">23</span><br><span class="line">24</span><br><span class="line">25</span><br><span class="line">26</span><br><span class="line">27</span><br><span class="line">28</span><br><span class="line">29</span><br></pre></td><td class="code"><pre><span class="line">[root@pool1 ceph]<span class="comment"># ceph -s</span></span><br><span class="line">  cluster:</span><br><span class="line">    id:     d35002f6-34f0-4097-b6db-2dc40e66764e</span><br><span class="line">    health: HEALTH_WARN</span><br><span class="line">            26/5439 objects misplaced (0.478%)</span><br><span class="line">            Degraded data redundancy: 1782/5439 objects degraded (32.763%), 105 pgs degraded, 80 pgs undersized</span><br><span class="line">            application not enabled on 3 pool(s)</span><br><span class="line">            clock skew detected on mon.pool4, mon.pool5, mon.pool6</span><br><span class="line"> </span><br><span class="line">  services:</span><br><span class="line">    mon: 6 daemons, quorum pool1,pool2,pool3,pool4,pool5,pool6</span><br><span class="line">    mgr: pool1(active), standbys: pool2, pool3, pool4, pool6, pool5</span><br><span class="line">    osd: 6 osds: 6 up, 6 <span class="keyword">in</span>; 79 remapped pgs</span><br><span class="line">            </span><br><span class="line">[root@pool1 ceph]<span class="comment"># ceph osd tree</span></span><br><span class="line">ID  CLASS WEIGHT  TYPE NAME      STATUS REWEIGHT PRI-AFF </span><br><span class="line"> -1       0.11151 root default                           </span><br><span class="line"> -3       0.01859     host pool1                         </span><br><span class="line">  0   hdd 0.01859         osd.0      up  1.00000 1.00000 </span><br><span class="line"> -5       0.01859     host pool2                         </span><br><span class="line">  1   hdd 0.01859         osd.1      up  1.00000 1.00000 </span><br><span class="line"> -7       0.01859     host pool3                         </span><br><span class="line">  2   hdd 0.01859         osd.2      up  1.00000 1.00000 </span><br><span class="line"> -9       0.01859     host pool4                         </span><br><span class="line">  3   hdd 0.01859         osd.3      up  1.00000 1.00000 </span><br><span class="line">-11       0.01859     host pool5                         </span><br><span class="line">  4   hdd 0.01859         osd.4      up  1.00000 1.00000 </span><br><span class="line">-13       0.01859     host pool6                         </span><br><span class="line">  5   hdd 0.01859         osd.5      up  1.00000 1.00000</span><br></pre></td></tr></table></figure>
<h2 id="查看集群状态"><a href="#查看集群状态" class="headerlink" title="查看集群状态"></a>查看集群状态</h2><figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br><span class="line">6</span><br><span class="line">7</span><br><span class="line">8</span><br><span class="line">9</span><br><span class="line">10</span><br><span class="line">11</span><br><span class="line">12</span><br><span class="line">13</span><br><span class="line">14</span><br></pre></td><td class="code"><pre><span class="line">[root@pool1 ceph]<span class="comment"># ceph mon dump</span></span><br><span class="line">dumped monmap epoch 4</span><br><span class="line">epoch 4</span><br><span class="line">fsid d35002f6-34f0-4097-b6db-2dc40e66764e</span><br><span class="line">last_changed 2021-03-11 12:34:48.877201</span><br><span class="line">created 2021-03-09 21:59:45.148467</span><br><span class="line">0: 10.99.2.155:6789/0 mon.pool1</span><br><span class="line">1: 10.99.2.156:6789/0 mon.pool2</span><br><span class="line">2: 10.99.2.157:6789/0 mon.pool3</span><br><span class="line">3: 10.99.2.158:6789/0 mon.pool4</span><br><span class="line">4: 10.99.2.159:6789/0 mon.pool5</span><br><span class="line">5: 10.99.2.160:6789/0 mon.pool6</span><br><span class="line"><span class="comment"># 此时发现新节点pool4/5/6都已经加入集群</span></span><br><span class="line">[root@pool4 ceph]<span class="comment"># ceph mgr dump</span></span><br></pre></td></tr></table></figure>
<h2 id="扩容之后发现集群WARN"><a href="#扩容之后发现集群WARN" class="headerlink" title="扩容之后发现集群WARN"></a>扩容之后发现集群WARN</h2><figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br><span class="line">6</span><br><span class="line">7</span><br><span class="line">8</span><br></pre></td><td class="code"><pre><span class="line">[root@pool1 ceph]<span class="comment"># ceph -s</span></span><br><span class="line">  cluster:</span><br><span class="line">    id:     d35002f6-34f0-4097-b6db-2dc40e66764e</span><br><span class="line">    health: HEALTH_WARN</span><br><span class="line">            26/5439 objects misplaced (0.478%)</span><br><span class="line">            Degraded data redundancy: 1782/5439 objects degraded (32.763%), 105 pgs degraded, 80 pgs undersized</span><br><span class="line">            application not enabled on 3 pool(s)</span><br><span class="line">            clock skew detected on mon.pool4, mon.pool5, mon.pool6</span><br></pre></td></tr></table></figure>
<h3 id="解决方案"><a href="#解决方案" class="headerlink" title="解决方案"></a>解决方案</h3><figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br><span class="line">6</span><br><span class="line">7</span><br><span class="line">8</span><br><span class="line">9</span><br></pre></td><td class="code"><pre><span class="line"><span class="comment"># 所有节点重新ntpdate，同步时间</span></span><br><span class="line">ntpdate 10.99.2.2</span><br><span class="line"><span class="comment"># 重启mon,mgr,osd</span></span><br><span class="line">systemctl restart ceph-mon.target</span><br><span class="line">systemctl restart ceph-mgr.target</span><br><span class="line">systemctl restart ceph-osd.target</span><br><span class="line"></span><br><span class="line">[root@pool1 ceph]<span class="comment"># ceph health</span></span><br><span class="line">HEALTH_OK</span><br></pre></td></tr></table></figure>
</article><div class="post-copyright"><div class="post-copyright__author"><span class="post-copyright-meta">文章作者: </span><span class="post-copyright-info"><a href="mailto:undefined">ZuSir</a></span></div><div class="post-copyright__type"><span class="post-copyright-meta">文章链接: </span><span class="post-copyright-info"><a href="http://example.com/2022/02/17/Ceph%E9%9B%86%E7%BE%A4%E6%89%A9%E5%AE%B9/">http://example.com/2022/02/17/Ceph%E9%9B%86%E7%BE%A4%E6%89%A9%E5%AE%B9/</a></span></div><div class="post-copyright__notice"><span class="post-copyright-meta">版权声明: </span><span class="post-copyright-info">本博客所有文章除特别声明外，均采用 <a href="https://creativecommons.org/licenses/by-nc-sa/4.0/" target="_blank">CC BY-NC-SA 4.0</a> 许可协议。转载请注明来自 <a href="http://example.com" target="_blank">SeMaik</a>！</span></div></div><div class="tag_share"><div class="post-meta__tag-list"></div><div class="post_share"><div class="social-share" data-image="https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/img/default.jpg" data-sites="facebook,twitter,wechat,weibo,qq"></div><link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/social-share.js/dist/css/share.min.css" media="print" onload="this.media='all'"><script src="https://cdn.jsdelivr.net/npm/social-share.js/dist/js/social-share.min.js" defer></script></div></div><nav class="pagination-post" id="pagination"><div class="prev-post pull-left"><a href="/2022/02/17/%E8%A7%A3%E5%86%B3Ceph-osd%E8%B4%9F%E8%BD%BD%E4%B8%8D%E5%9D%87%E8%A1%A1/"><img class="prev-cover" src="https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/img/default.jpg" onerror="onerror=null;src='/img/123.jpeg'" alt="cover of previous post"><div class="pagination-info"><div class="label">上一篇</div><div class="prev_info">解决Ceph osd负载不均衡</div></div></a></div><div class="next-post pull-right"><a href="/2022/02/09/Shell%E8%AF%AD%E8%A8%80-%E2%80%94%E2%80%94-Linux%E5%9F%BA%E7%A1%80%E4%B8%89%E5%89%91%E5%AE%A2/"><img class="next-cover" src="https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/img/default.jpg" onerror="onerror=null;src='/img/123.jpeg'" alt="cover of next post"><div class="pagination-info"><div class="label">下一篇</div><div class="next_info">Shell语言 —— Linux基础三剑客</div></div></a></div></nav></div><div class="aside-content" id="aside-content"><div class="card-widget card-info"><div class="card-info-avatar is-center"><img class="avatar-img" src="/img/123.jpeg" onerror="this.onerror=null;this.src='/img/123.jpeg'" alt="avatar"/><div class="author-info__name">ZuSir</div><div class="author-info__description">一个收藏回忆与分享技术的地方!</div></div><div class="card-info-data"><div class="card-info-data-item is-center"><a href="/archives/"><div class="headline">文章</div><div class="length-num">152</div></a></div><div class="card-info-data-item is-center"><a href="/categories/"><div class="headline">分类</div><div class="length-num">37</div></a></div></div></div><div class="card-widget card-announcement"><div class="item-headline"><i class="fas fa-bullhorn card-announcement-animation"></i><span>公告</span></div><div class="announcement_content">This is my Blog! <img src="https://ss0.bdstatic.com/70cFuHSh_Q1YnxGkpoWK1HF6hhy/it/u=3894415926,2787041726&fm=26&gp=0.jpg"></div></div><div class="sticky_layout"><div class="card-widget" id="card-toc"><div class="item-headline"><i class="fas fa-stream"></i><span>目录</span></div><div class="toc-content"><ol class="toc"><li class="toc-item toc-level-2"><a class="toc-link" href="#%E6%97%A7ceph%E9%9B%86%E7%BE%A4"><span class="toc-number">1.</span> <span class="toc-text">旧ceph集群</span></a></li><li class="toc-item toc-level-2"><a class="toc-link" href="#%E6%96%B0ceph%E8%8A%82%E7%82%B9"><span class="toc-number">2.</span> <span class="toc-text">新ceph节点</span></a></li><li class="toc-item toc-level-2"><a class="toc-link" href="#%E6%BA%90ceph%E7%8E%AF%E5%A2%83"><span class="toc-number">3.</span> <span class="toc-text">源ceph环境</span></a></li><li class="toc-item toc-level-2"><a class="toc-link" href="#%E6%96%B0%E8%8A%82%E7%82%B9%E7%9A%84%E6%9C%BA%E5%99%A8%E5%81%9A%E5%85%8D%E5%AF%86%E7%99%BB%E5%BD%95"><span class="toc-number">4.</span> <span class="toc-text">新节点的机器做免密登录</span></a></li><li class="toc-item toc-level-2"><a class="toc-link" href="#%E6%96%B0%E8%8A%82%E7%82%B9%E5%AE%89%E8%A3%85ceph"><span class="toc-number">5.</span> <span class="toc-text">新节点安装ceph</span></a></li><li class="toc-item toc-level-2"><a class="toc-link" href="#%E6%96%B0%E8%8A%82%E7%82%B9%E6%89%A7%E8%A1%8C"><span class="toc-number">6.</span> <span class="toc-text">新节点执行</span></a></li><li class="toc-item toc-level-2"><a class="toc-link" href="#%E5%B0%86%E6%96%B0%E8%8A%82%E7%82%B9%E7%9A%84osd%E5%8A%A0%E5%85%A5%E5%88%B0%E9%9B%86%E7%BE%A4%E4%B8%AD"><span class="toc-number">7.</span> <span class="toc-text">将新节点的osd加入到集群中</span></a></li><li class="toc-item toc-level-2"><a class="toc-link" href="#%E4%BF%AE%E6%94%B9ceph%E9%85%8D%E7%BD%AE%E6%96%87%E4%BB%B6"><span class="toc-number">8.</span> <span class="toc-text">修改ceph配置文件</span></a></li><li class="toc-item toc-level-2"><a class="toc-link" href="#%E4%B8%8B%E5%8F%91%E6%96%87%E4%BB%B6"><span class="toc-number">9.</span> <span class="toc-text">下发文件</span></a></li><li class="toc-item toc-level-2"><a class="toc-link" href="#%E5%8A%A0%E5%85%A5%E5%88%B0%E9%9B%86%E7%BE%A4%E7%9B%91%E6%8E%A7"><span class="toc-number">10.</span> <span class="toc-text">加入到集群监控</span></a></li><li class="toc-item toc-level-2"><a class="toc-link" href="#%E6%96%B0%E8%8A%82%E7%82%B9%E6%88%90%E5%8A%9F%E5%8A%A0%E5%85%A5%E9%9B%86%E7%BE%A4%E5%90%8E"><span class="toc-number">11.</span> <span class="toc-text">新节点成功加入集群后</span></a></li><li class="toc-item toc-level-2"><a class="toc-link" href="#%E6%9F%A5%E7%9C%8B%E9%9B%86%E7%BE%A4%E7%8A%B6%E6%80%81"><span class="toc-number">12.</span> <span class="toc-text">查看集群状态</span></a></li><li class="toc-item toc-level-2"><a class="toc-link" href="#%E6%89%A9%E5%AE%B9%E4%B9%8B%E5%90%8E%E5%8F%91%E7%8E%B0%E9%9B%86%E7%BE%A4WARN"><span class="toc-number">13.</span> <span class="toc-text">扩容之后发现集群WARN</span></a><ol class="toc-child"><li class="toc-item toc-level-3"><a class="toc-link" href="#%E8%A7%A3%E5%86%B3%E6%96%B9%E6%A1%88"><span class="toc-number">13.1.</span> <span class="toc-text">解决方案</span></a></li></ol></li></ol></div></div><div class="card-widget card-recent-post"><div class="item-headline"><i class="fas fa-history"></i><span>最新文章</span></div><div class="aside-list"><div class="aside-list-item no-cover"><div class="content"><a class="title" href="/2022/02/17/Shell%E2%80%94%E2%80%94%E9%83%A8%E7%BD%B2Zabbix-Server5-0/" title="Shell程序——部署Zabbix-ServerV5.0">Shell程序——部署Zabbix-ServerV5.0</a><time datetime="2022-02-17T03:32:00.000Z" title="发表于 2022-02-17 11:32:00">2022-02-17</time></div></div><div class="aside-list-item no-cover"><div class="content"><a class="title" href="/2022/02/17/Shell%E2%80%94%E2%80%94%E9%83%A8%E7%BD%B2Harbor/" title="Shell程序——部署Harbor">Shell程序——部署Harbor</a><time datetime="2022-02-17T03:31:00.000Z" title="发表于 2022-02-17 11:31:00">2022-02-17</time></div></div><div class="aside-list-item no-cover"><div class="content"><a class="title" href="/2022/02/17/Shell%E2%80%94%E2%80%94Mysql%E5%A4%87%E4%BB%BD/" title="Shell程序——Mysql备份">Shell程序——Mysql备份</a><time datetime="2022-02-17T03:30:00.000Z" title="发表于 2022-02-17 11:30:00">2022-02-17</time></div></div><div class="aside-list-item no-cover"><div class="content"><a class="title" href="/2022/02/17/Shell%E2%80%94%E2%80%94%E6%89%B9%E9%87%8F%E4%BF%9D%E5%AD%98Docker-image/" title="Shell程序——批量保存Docker_image">Shell程序——批量保存Docker_image</a><time datetime="2022-02-17T03:29:00.000Z" title="发表于 2022-02-17 11:29:00">2022-02-17</time></div></div><div class="aside-list-item no-cover"><div class="content"><a class="title" href="/2022/02/17/Shell%E2%80%94%E2%80%94%E5%85%A8%E6%AE%B5IP%E6%89%AB%E6%8F%8F/" title="Shell程序——全段IP扫描">Shell程序——全段IP扫描</a><time datetime="2022-02-17T03:28:00.000Z" title="发表于 2022-02-17 11:28:00">2022-02-17</time></div></div></div></div></div></div></main><footer id="footer"><div id="footer-wrap"><div class="copyright">&copy;2020 - 2022 By ZuSir</div><div class="framework-info"><span>框架 </span><a target="_blank" rel="noopener" href="https://hexo.io">Hexo</a><span class="footer-separator">|</span><span>主题 </span><a target="_blank" rel="noopener" href="https://github.com/jerryc127/hexo-theme-butterfly">Butterfly</a></div></div></footer></div><div id="rightside"><div id="rightside-config-hide"><button id="readmode" type="button" title="阅读模式"><i class="fas fa-book-open"></i></button><button id="hide-aside-btn" type="button" title="单栏和双栏切换"><i class="fas fa-arrows-alt-h"></i></button></div><div id="rightside-config-show"><button id="rightside_config" type="button" title="设置"><i class="fas fa-cog fa-spin"></i></button><button class="close" id="mobile-toc-button" type="button" title="目录"><i class="fas fa-list-ul"></i></button><button id="go-up" type="button" title="回到顶部"><i class="fas fa-arrow-up"></i></button></div></div><div><script src="/js/utils.js"></script><script src="/js/main.js"></script><div class="js-pjax"></div><script defer="defer" id="fluttering_ribbon" mobile="true" src="https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/dist/canvas-fluttering-ribbon.min.js"></script><script async data-pjax src="//busuanzi.ibruce.info/busuanzi/2.3/busuanzi.pure.mini.js"></script></div></body></html>